%define major 66
%define glibmajor 8
%define qt4major 4
%define qt5major 1
%define cppmajor 0
%define girmajor 0.18

%define libname		%mklibname %name %{major}
%define libnameglib	%mklibname %name-glib %{glibmajor}
%define libnameqt4	%mklibname %name-qt4_ %{qt4major}
%define libnameqt5	%mklibname %name-qt5_ %{qt5major}
%define libnamecpp	%mklibname %name-cpp %{cppmajor}
%define libnamedev	%mklibname -d %{name}
%define libnameglibdev	%mklibname -d %{name}-glib
%define libnameqt4dev	%mklibname -d %{name}-qt4
%define libnameqt5dev	%mklibname -d %{name}-qt5
%define libnamecppdev   %mklibname -d %{name}-cpp
%define libnamegir	%mklibname %{name}-gir %{girmajor}

Name:		poppler
Summary: 	PDF rendering library
Group:		Publishing
Version:	0.52.0
Release:	%mkrel 2
License:	GPLv2+
URL:		http://poppler.freedesktop.org
Source:		http://poppler.freedesktop.org/%{name}-%{version}.tar.xz
Patch0:		poppler-CVE-2017-7511.patch
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	pkgconfig(cairo-ft) >= 1.10.0
BuildRequires:	pkgconfig(cairo-pdf)
BuildRequires:	pkgconfig(cairo-ps)
BuildRequires:	pkgconfig(cairo-svg)
BuildRequires:	pkgconfig(fontconfig) >= 2.0.0
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0) >= 2.18
BuildRequires:	pkgconfig(glib-2.0) >= 2.18
BuildRequires:	pkgconfig(gobject-2.0) >= 2.18
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(nss)
BuildRequires:	pkgconfig(Qt5Core) >= 5.0.0
BuildRequires:	pkgconfig(Qt5Gui) >= 5.0.0
BuildRequires:	pkgconfig(Qt5Test) >= 5.0.0
BuildRequires:	pkgconfig(Qt5Widgets) >= 5.0.0
BuildRequires:	pkgconfig(Qt5Xml) >= 5.0.0
BuildRequires:	pkgconfig(QtCore) >= 4.4.0
BuildRequires:	pkgconfig(QtGui) >= 4.4.0
BuildRequires:	pkgconfig(QtTest) >= 4.4.0
BuildRequires:	pkgconfig(QtXml) >= 4.4.0
BuildRequires:	jpeg-devel
BuildRequires:	openjpeg2-devel
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gettext-devel
BuildRequires:	gtk-doc
BuildRequires:	libtiff-devel
Obsoletes:	xpdf-tools < 3.02-10mdv
Provides:	xpdf-tools
Obsoletes:	pdftohtml
Provides:	pdftohtml

%description
Poppler is a PDF rendering library based on the xpdf-3.0 code base.

%package -n	%{libname}
Summary:	PDF rendering library
Group:          System/Libraries
Conflicts:	%{_lib}poppler12
Recommends:	poppler-data

%description -n	%{libname}
Poppler is a PDF rendering library based on the xpdf-3.0 code base.

%package -n	%{libnamedev}
Summary:	Development files for %{name}
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{libname}-devel

%description -n	%{libnamedev}
Development files for %{name}

%package -n	%{libnamecpp}
Summary:	PDF rendering library - C++ backend
Group:          System/Libraries

%description -n	%{libnamecpp}
Poppler is a PDF rendering library based on the xpdf-3.0 code base.
This is the C++ backend version.

%package -n	%{libnameqt4dev}
Summary: 	Development files for %{name}-qt4
Group:		Development/KDE and Qt
Provides:	%{name}-qt4-devel = %{version}-%{release}
Requires:	%{libnameqt4} = %{version}
Requires:	%{libnamedev} = %{version}
Obsoletes:	%{libnameqt4}-devel

%description -n	%{libnameqt4dev}
Development files for %{name}-qt4

%package -n	%{libnameqt5dev}
Summary: 	Development files for %{name}-qt5
Group:		Development/KDE and Qt
Provides:	%{name}-qt5-devel = %{version}-%{release}
Requires:	%{libnameqt5} = %{version}
Requires:	%{libnamedev} = %{version}

%description -n	%{libnameqt5dev}
Development files for %{name}-qt5.

%package -n	%{libnameqt4}
Summary: 	PDF rendering library - Qt4 backend
Group:		System/Libraries
Obsoletes:	%{_lib}poppler-qt4-4 < 0.20.1-3

%description -n	%{libnameqt4}
Poppler is a PDF rendering library based on the xpdf-3.0 code base.
This is the Qt4 backend version.

%package -n	%{libnameqt5}
Summary: 	PDF rendering library - Qt5 backend
Group:		System/Libraries

%description -n	%{libnameqt5}
Poppler is a PDF rendering library based on the xpdf-3.0 code base.
This is the Qt5 backend version.

%package -n	%{libnameglib}
Summary:	PDF rendering library - glib binding
Group:		System/Libraries
Conflicts:	%{libname} < %{version}-%{release}
Conflicts:	%{name}-gir0.16 < 0.16.6

%description -n	%{libnameglib}
Poppler is a PDF rendering library based on the xpdf-3.0 code base.

%package -n	%{libnamegir}
Summary:	Gobject-introspection files for %{name}
Group:		System/Libraries
Obsoletes:	%{name}-gir0.16 < 0.16.6
Requires:	%{libnameglib} = %{version}

%description -n	%{libnamegir}
Gobject-introspection files for %{name}.

%package -n	%{libnameglibdev}
Summary:	Development files for %{name}'s glib binding
Group:		Development/C++
Provides:	%{name}-glib-devel = %{version}-%{release}
Requires:	%{libnameglib} = %{version}
Requires:	%{libnamegir} = %{version}
Requires:	%{libnamedev} = %{version}
Conflicts:	%{libnamedev} < %{version}-%{release}
Obsoletes:	%{libnameglib}-devel

%description -n	%{libnameglibdev}
Development files for %{name}'s glib binding.

%package -n	%{libnamecppdev}
Summary:	Development files for %{name}-cpp
Group:		Development/C++
Provides:	%{name}-cpp-devel = %{version}-%{release}
Requires:	%{libnamecpp} = %{version}
Requires:	%{libnamedev} = %{version}

%description -n	%{libnamecppdev}
Development files for %{name}-cpp.

%prep
%setup -q
%autopatch -p1

%build
export MOCQT4=%{_qt4_bindir}/moc
export MOCQT5=%{_qt5_bindir}/moc
# We need c++11 enforced on older compilers only (< gcc 6)
export CXXFLAGS="$CXXFLAGS %{optflags} -std=gnu++11"

autoreconf -vfi
%configure2_5x \
	--disable-static \
	--disable-gtk-test \
	--enable-cairo-output \
	--enable-libopenjpeg=openjpeg2 \
	--enable-poppler-qt4 \
	--enable-xpdf-headers \
	--enable-gtk-doc
%make_build

%install
%make_install

%{__cp} -a config.h %{buildroot}%{_includedir}/poppler/

find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libpoppler.so.%{major}{,.*}

%files -n %{libnamedev}
%{_libdir}/libpoppler.so
%dir %{_includedir}/poppler/
%{_includedir}/poppler/config.h
%{_includedir}/poppler/[A-Z]*
%{_includedir}/poppler/fofi
%{_includedir}/poppler/goo
%{_includedir}/poppler/splash
%{_includedir}/poppler/poppler-config.h
%{_libdir}/pkgconfig/poppler-cairo.pc
%{_libdir}/pkgconfig/poppler-splash.pc
%{_libdir}/pkgconfig/poppler.pc
%{_datadir}/gtk-doc/html/%{name}/

%files -n %{libnameglib}
%{_libdir}/libpoppler-glib.so.%{glibmajor}{,.*}

%files -n %{libnamegir}
%{_libdir}/girepository-1.0/Poppler-%{girmajor}.typelib

%files -n %{libnameglibdev}
%{_libdir}/libpoppler-glib.so
%{_libdir}/pkgconfig/poppler-glib.pc
%{_includedir}/poppler/glib/
%{_datadir}/gir-1.0/Poppler-%{girmajor}.gir

%files -n %{libnameqt4dev}
%{_includedir}/poppler/qt4/
%{_libdir}/pkgconfig/poppler-qt4.pc
%{_libdir}/libpoppler-qt4.so

%files -n %{libnameqt4}
%{_libdir}/libpoppler-qt4.so.%{qt4major}{,.*}

%files -n %{libnameqt5dev}
%{_includedir}/poppler/qt5/
%{_libdir}/pkgconfig/poppler-qt5.pc
%{_libdir}/libpoppler-qt5.so

%files -n %{libnameqt5}
%{_libdir}/libpoppler-qt5.so.%{qt5major}{,.*}

%files -n %{libnamecpp}
%{_libdir}/libpoppler-cpp.so.%{cppmajor}{,.*}

%files -n %{libnamecppdev}
%{_libdir}/libpoppler-cpp.so
%{_libdir}/pkgconfig/poppler-cpp.pc
%{_includedir}/poppler/cpp


%changelog
* Wed Jun 07 2017 luigiwalser <luigiwalser> 0.52.0-2.mga6
+ Revision: 1107167
- add upstream patch to fix CVE-2017-7511

* Wed May 17 2017 luigiwalser <luigiwalser> 0.52.0-1.mga6
+ Revision: 1102281
- 0.52.0

* Sun Jan 01 2017 luigiwalser <luigiwalser> 0.50.0-1.mga6
+ Revision: 1078934
- 0.50.0
- library major is now 66
- build with openjpeg2 instead of openjpeg1

* Mon Nov 28 2016 luigiwalser <luigiwalser> 0.49.0-1.mga6
+ Revision: 1070582
- 0.49.0
- library major is now 65
- 0.48.0
- library major is now 64

* Sat Sep 10 2016 luigiwalser <luigiwalser> 0.47.0-1.mga6
+ Revision: 1051352
- 0.47.0

* Fri Aug 12 2016 luigiwalser <luigiwalser> 0.46.0-1.mga6
+ Revision: 1046116
- 0.46.0
- library major is now 63

* Thu Jul 07 2016 daviddavid <daviddavid> 0.44.0-2.mga6
+ Revision: 1039445
- explicitly set which openjpeg should be used, otherwise it will not found in configure

* Wed May 25 2016 luigiwalser <luigiwalser> 0.44.0-1.mga6
+ Revision: 1018547
- 0.44.0
- library major is now 61

* Mon May 09 2016 luigiwalser <luigiwalser> 0.43.0-1.mga6
+ Revision: 1011727
- 0.43.0
- library major is now 60

* Mon Jan 25 2016 luigiwalser <luigiwalser> 0.40.0-1.mga6
+ Revision: 927192
- 0.40.0

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.39.0-1.mga6
+ Revision: 917604
- 0.39.0
- library major is now 58

* Tue Aug 25 2015 pterjan <pterjan> 0.34.0-2.mga6
+ Revision: 869220
- Rebuild with gcc 5

* Sat Jul 25 2015 tv <tv> 0.34.0-1.mga6
+ Revision: 857522
- new release

* Mon Jun 29 2015 wally <wally> 0.33.0-2.mga6
+ Revision: 847814
- add requires for gir pkg to devel pkg

* Sun Jun 21 2015 ovitters <ovitters> 0.33.0-1.mga6
+ Revision: 837843
- new version 0.33.0

* Wed Oct 15 2014 umeabot <umeabot> 0.26.5-2.mga5
+ Revision: 748668
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 luigiwalser <luigiwalser> 0.26.5-1.mga5
+ Revision: 738661
- 0.26.5

* Fri Sep 26 2014 wally <wally> 0.26.4-3.mga5
+ Revision: 724954
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.26.4-2.mga5
+ Revision: 687720
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Aug 23 2014 luigiwalser <luigiwalser> 0.26.4-1.mga5
+ Revision: 666918
- 0.26.4

* Thu Jul 24 2014 luigiwalser <luigiwalser> 0.26.3-1.mga5
+ Revision: 656180
- 0.26.3

* Tue Jun 24 2014 luigiwalser <luigiwalser> 0.26.2-1.mga5
+ Revision: 639126
- 0.26.2

* Mon May 26 2014 luigiwalser <luigiwalser> 0.26.1-1.mga5
+ Revision: 626554
- 0.26.1

* Sat Apr 26 2014 luigiwalser <luigiwalser> 0.26.0-1.mga5
+ Revision: 618334
- 0.26.0
- library major is now 46
- remove qt5 moc patch (fixed upstream)

* Thu Feb 06 2014 fwang <fwang> 0.24.5-1.mga5
+ Revision: 584618
- bump lib major
- 0.24.5

* Tue Jan 07 2014 luigiwalser <luigiwalser> 0.24.3-2.mga4
+ Revision: 565460
- add patch from fedora to fix crasher DoS issue (kde#328511)

* Wed Oct 30 2013 oden <oden> 0.24.3-1.mga4
+ Revision: 547918
- 0.24.3 (fixes CVE-2013-4474)

* Mon Oct 21 2013 colin <colin> 0.24.2-2.mga4
+ Revision: 539678
- Fix Qt5 moc check

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Sep 28 2013 luigiwalser <luigiwalser> 0.24.2-1.mga4
+ Revision: 488433
- 0.24.2

* Thu Aug 29 2013 sander85 <sander85> 0.24.1-1.mga4
+ Revision: 473046
- New version: 0.24.1

* Wed Jul 31 2013 fwang <fwang> 0.24.0-1.mga4
+ Revision: 461343
- bump libmajor
- disable test prog

  + ovitters <ovitters>
    - new version 0.24.0

* Sat Jul 20 2013 fwang <fwang> 0.23.4-1.mga4
+ Revision: 456501
- add qt5 lib
- update libmajor
- tweak openjpeg br
- new version 0.23.4

* Mon Jun 17 2013 fwang <fwang> 0.22.5-1.mga4
+ Revision: 444053
- new version 0.22.5
- rebuild for new openjpeg

* Sun Jun 02 2013 fwang <fwang> 0.22.4-2.mga4
+ Revision: 434606
- rebuild for new libpng

* Fri May 24 2013 fwang <fwang> 0.22.4-1.mga4
+ Revision: 425814
- update libmajor
- new version 0.22.4

* Sun Feb 24 2013 luigiwalser <luigiwalser> 0.22.1-1.mga3
+ Revision: 400211
- 0.22.1

* Sun Jan 13 2013 umeabot <umeabot> 0.22.0-2.mga3
+ Revision: 378052
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 fwang <fwang> 0.22.0-1.mga3
+ Revision: 336397
- update libmajor
- new version 0.22.0

* Mon Nov 12 2012 fwang <fwang> 0.21.1-1.mga3
+ Revision: 317109
- update libmajor
- new version 0.21.1

* Wed Oct 10 2012 tv <tv> 0.21.0-1.mga3
+ Revision: 304159
- new release (fix gnome#617946)

* Sun Oct 07 2012 fwang <fwang> 0.20.4-2.mga3
+ Revision: 303248
- update rpm group
- rebuild for new openjpeg

* Tue Sep 11 2012 blino <blino> 0.20.4-1.mga3
+ Revision: 292112
- 0.20.4

* Sun Aug 19 2012 luigiwalser <luigiwalser> 0.20.3-1.mga3
+ Revision: 282379
- 0.20.3
- remove upstream patches

* Sun Jul 22 2012 blino <blino> 0.20.2-2.mga3
+ Revision: 273563
- sync patches from poppler-0.20 git branch (to fix division by zero, fdo #52215)

* Thu Jul 12 2012 fwang <fwang> 0.20.2-1.mga3
+ Revision: 270145
- new version 0.20.2

* Wed Jun 13 2012 fwang <fwang> 0.20.1-3.mga3
+ Revision: 260241
- correct poppler-qt4 libname

* Wed Jun 13 2012 fwang <fwang> 0.20.1-2.mga3
+ Revision: 260181
- use lcms2

* Mon Jun 11 2012 vaci0 <vaci0> 0.20.1-1.mga3
+ Revision: 259886
- Update to 0.20.1

* Thu Apr 12 2012 fwang <fwang> 0.18.4-2.mga2
+ Revision: 230355
- rebuild for new openjpeg

* Fri Feb 17 2012 fwang <fwang> 0.18.4-1.mga2
+ Revision: 210041
- new version 0.18.4

* Sun Jan 22 2012 fwang <fwang> 0.18.3-1.mga2
+ Revision: 199554
- new version 0.18.3

* Fri Dec 23 2011 fwang <fwang> 0.18.2-2.mga2
+ Revision: 186472
- rebuild for new libtiff

* Wed Dec 07 2011 fwang <fwang> 0.18.2-1.mga2
+ Revision: 178134
- new version 0.18.2

* Fri Oct 28 2011 fwang <fwang> 0.18.1-1.mga2
+ Revision: 158949
- br gettext-devel
- fix pkgconfig file of poppler-glib
- do not promote qt4 path now
- update major
- drop deprecated symbol of glib 2.31
- drop old switch
- new version 0.18.1

* Fri Oct 07 2011 fwang <fwang> 0.18.0-3.mga2
+ Revision: 152633
- force build with openjpeg

* Fri Oct 07 2011 fwang <fwang> 0.18.0-2.mga2
+ Revision: 152611
- rebuild for new openjpeg

* Tue Sep 27 2011 ovitters <ovitters> 0.18.0-1.mga2
+ Revision: 149334
- new version 0.18.0

* Sat Sep 10 2011 fwang <fwang> 0.16.7-3.mga2
+ Revision: 142216
- do not ship .la files
- rebuild for new libpng

  + ze <ze>
    - fix provides
    - arranhe spec

* Sat Jul 16 2011 ahmad <ahmad> 0.16.7-2.mga2
+ Revision: 124675
- Drop the Qt3 bits, Qt3 has been dead for some time now
- The gir package should require %%libnameglib, not the other way around
- Convert the BR to pkgconfig style
- -devel packages now only provide %%{name}-*-devel

* Mon Jul 04 2011 ahmad <ahmad> 0.16.7-1.mga2
+ Revision: 118007
- Update to 0.16.7
- Add (optional) BR lcms-devel

* Mon Jun 13 2011 ahmad <ahmad> 0.16.6-1.mga2
+ Revision: 105874
- Update to 0.16.6
- libify the gir typelib sub-package

* Thu May 12 2011 pterjan <pterjan> 0.16.5-1.mga1
+ Revision: 97383
- Update to 0.16.5 (bugfix release)

* Mon Apr 04 2011 ahmad <ahmad> 0.16.4-1.mga1
+ Revision: 80490
- update to 0.16.4
- move %%_datadir/gir-1.0/Poppler-%%{girmajor}.gir to %%{libnameglib} (Fedora)
- make the gir sub-package require %%{libnameglib}
- make the glib lib sub-package require %%{namegir} >= %%{version}
- split Poppler-*.typelib in a separate package to ease poppler major updates

* Mon Mar 28 2011 blino <blino> 0.16.3-3.mga1
+ Revision: 78257
- add back conflicts, needed because of girepository-1.0/Poppler-0.16.typelib

* Mon Mar 28 2011 tv <tv> 0.16.3-2.mga1
+ Revision: 78239
- cleanup: remove bogus conflicts that defeats libification purpose

* Sat Mar 26 2011 pterjan <pterjan> 0.16.3-1.mga1
+ Revision: 77778
- Update to 0.16.3

* Sat Jan 15 2011 ahmad <ahmad> 0.16.0-2.mga1
+ Revision: 19344
- drop old/uneeded macros
- disable qt3support
- drop an old conflict with xpdf
- imported package poppler

